Subject: bug#38378: 26.3.50; [PATCH] Add the hierarchy library

From: João Távora <[email-masked]>
Date: Mon, 9 Dec 2019 13:25:59 +0100

On Mon, Dec 9, 2019 at 1:21 PM Damien Cassou <[email-masked]> wrote:
>
> Dmitry Gutov <[email-masked]> writes:
> > Eli said the core would benefit from it, but I wonder which existing
> > features exactly could use it now.
> >
> > If none, I think GNU ELPA is the better place for it. And as soon as
> > someone finds a specific use for it in the core, moving would be trivial.

FWIW, I agree with Dmitry here.

> Clément Pit-Claudel suggested "the tree displayed by profiler-report."
> in https://lists.gnu.org/archive/html/emacs-devel/2017-10/msg00675.html.
>
> Maybe proced's tree mode?

So why don't we add a comment to those libraries and say: "if
you're considering simplifying this code and adding some more features,
consider installing Damien Cassous's as a :core GNU ELPA package
in the core" .

Would this work for everyone?

Having it in ELPA is good for me if I ever want to upgrade it, then make SLY
use it. But the clincher would be that you implement mutable trees :-)

João